=== modified file 'Makefile.am'
--- Makefile.am	2009-06-17 20:09:36 +0000
+++ Makefile.am	2009-06-18 19:18:41 +0000
@@ -46,7 +46,7 @@
 all-local:
 	if test "x$(builddir)" == "x$(srcdir)"; then \
 		if [ ! -e canonical/ubuntuone/storage/protocol ]; then \
-			$(LN_S) $(USP_PATH)/canonical/ubuntuone/storage/protocol canonical/ubuntuone/storage/protocol; \
+			$(LN_S) $(USP_PATH) canonical/ubuntuone/storage/protocol; \
 		fi; \
 	fi
 

=== modified file 'autogen.sh'
--- autogen.sh	2009-06-17 16:08:17 +0000
+++ autogen.sh	2009-06-18 19:18:41 +0000
@@ -5,7 +5,7 @@
 test -z "$srcdir" && srcdir=.
 
 PKG_NAME="ubuntuone-client"
-REQUIRED_AUTOMAKE_VERSION="1.6"
+REQUIRED_AUTOMAKE_VERSION="1.10"
 
 (test -f $srcdir/configure.ac) || {
     echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"

=== modified file 'configure.ac'
--- configure.ac	2009-06-17 20:04:32 +0000
+++ configure.ac	2009-06-18 19:18:41 +0000
@@ -4,7 +4,7 @@
 AC_INIT([ubuntuone-client], [0.90.2])
 AC_CONFIG_SRCDIR([config.h.in])
 
-AM_INIT_AUTOMAKE([1.9 foreign])
+AM_INIT_AUTOMAKE([1.10 foreign])
 AM_CONFIG_HEADER([config.h])
 
 AC_ISC_POSIX
@@ -51,6 +51,7 @@
 AM_PATH_PYTHON([2.5])
 
 # Specify the path for ubuntuone-storage-protocol source
+AC_MSG_CHECKING([for ubuntuone-storage-protocol])
 AC_ARG_WITH([protocol],
 	AC_HELP_STRING([--with-protocol],
 			[Specify path to storage protocol [default=auto]]),
@@ -58,7 +59,14 @@
 	[with_protocol=auto])
 USP_PATH=""
 if test "x$with_protocol" = "xauto"; then
-   USP_PATH="/usr/share/pyshared"
+   USP_PATH="/usr/share/pyshared/canonical/ubuntuone/storage/protocol"
+fi
+if ! test -d $USP_PATH; then
+   with_protocol=no
+   AC_MSG_RESULT([none])
+   AC_MSG_ERROR([ubuntuone-storage-protocol is required by ubuntuone-client])
+else
+   AC_MSG_RESULT([$USP_PATH])
 fi
 AC_SUBST(USP_PATH)
 AM_CONDITIONAL(USE_PROTOCOL, test "x$with_protocol" != "xno")

=== modified file 'debian/changelog'
--- debian/changelog	2009-06-17 20:04:32 +0000
+++ debian/changelog	2009-06-18 19:18:41 +0000
@@ -1,3 +1,10 @@
+ubuntuone-client (0.90.2-0ubuntu1) karmic; urgency=low
+
+  * Packaging for Ubuntu 9.10 (Karmic)
+    - Fixes LP: #388719
+
+ -- Rodney Dawes <rodney.dawes@canonical.com>  Wed, 17 Jun 2009 19:18:54 -0400
+
 ubuntuone-client (0.90.2-0) jaunty; urgency=low
 
   * New upstream release

=== modified file 'debian/control'
--- debian/control	2009-06-17 20:04:32 +0000
+++ debian/control	2009-06-18 19:18:41 +0000
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 XS-Python-Version: >= 2.5
-Maintainer: Rick McBride <rick.mcbride@canonical.com>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rick McBride <rick.mcbride@canonical.com>
 Build-Depends: debhelper (>= 5),
  cdbs,
  autotools-dev,

=== modified file 'debian/rules'
--- debian/rules	2009-06-17 16:46:42 +0000
+++ debian/rules	2009-06-18 19:18:41 +0000
@@ -9,6 +9,5 @@
 include /usr/share/cdbs/1/class/gnome.mk
 
 binary-post-install/ubuntuone-client::
-  find debian/ubuntuone-client/usr/lib -name \*.la -exec rm {} \;
-  find debian/ubuntuone-client/usr/lib -name \*.a -exec rm {} \;
-
+	find debian/ubuntuone-client/usr/lib -name \*.la -exec rm {} \;
+	find debian/ubuntuone-client/usr/lib -name \*.a -exec rm {} \;

